/*=========================================================================================
    File Name: diary.scss
    Description: diary page styles
==========================================================================================*/

#diary-page {
  .profile-img-container {
    display: flex;
    align-items: center;
    position: absolute;
    bottom: -3.6rem;
    left: 10%;
    width: 80%;
    justify-content: space-between;
  }

  .divider-icon {
    width: 50px;
    height: 4px;
    background-color: rgb(103, 196, 233);
  }

  .emotion-icon {
    height: 36px;
    width: 36px;
  }

  .user-profile-img {
    border: 0.3rem solid #fff;
    box-shadow: 0px 0px 10px 3px rgba(0, 0, 0, 0.3);
  }

  .user-latest-image {
    height: 120px;
    padding: 1px;
    // transition: all 0.2s ease-in-out;

    &:hover {
      // transform: scale(1.05);
    }
  }

  .brightness {
    background-color: inherit;
    display: inline-block;
  }
  .brightness:hover {
    opacity: 0.5;
  }

  .con-example-images {
    max-height: 500px;
    overflow: auto;
  }

  .habit-profile-img {
    transition: all 0.2s ease-in-out;
    height: 80px;
    width: 100px;
  }

  .profile-header-nav {
    background-color: #fff;
  }

  &.page-padding {
    margin-left: 100px;
    margin-right: 100px;
  }

  .sidebar-content {
    height: fit-content;
    width: 396px;

    &.fixed-top {
      position: fixed;
      top: 76px; // 470px;
      left: calc(96px + 100px);
    }
    &.fixed-bottom {
      position: fixed;
      bottom: 0px; // 470px;
      left: calc(96px + 100px);
      &.opened-sidebar {
        left: calc(96px + 180px) !important;
      }
    }
  }

  .main-content {
    width: calc(100% - 396px);

    &.fixed-top {
      margin-left: 396px;
    }
    &.fixed-bottom {
      margin-left: 396px;
    }
  }

  .hover-bg-light {
    &:hover {
      background-color: #dae1e744;
    }
  }
}

#diary-photos {
  .user-latest-image {
    height: 170px;
    padding: 1px;
    // transition: all 0.2s ease-in-out;

    &:hover {
      // transform: scale(1.05);
    }
  }

  .brightness {
    background-color: inherit;
    display: inline-block;
  }
  .brightness:hover {
    opacity: 0.5;
  }
}

#diary-habits {
  .habit-profile-img {
    transition: all 0.2s ease-in-out;
    height: 80px;
    width: 100px;
  }
}
